# sysctl settings are defined through files in
# /usr/lib/sysctl.d/, /run/sysctl.d/, and /etc/sysctl.d/.
#
# Vendors settings live in /usr/lib/sysctl.d/.
# To override a whole file, create a new file with the same in
# /etc/sysctl.d/ and put new settings there. To override
# only specific settings, add a file with a lexically later
# name in /etc/sysctl.d/ and put new settings there.
#
# For more information, see sysctl.conf(5) and sysctl.d(5).

# SPECvirt_sc2013 tunings for appserver
net.ipv4.tcp_timestamps = 0
net.ipv4.tcp_max_tw_buckets = 1500000
net.ipv4.tcp_rmem = 1048576 1048576 41943040
net.ipv4.tcp_wmem = 1048576 1048576 41943040
net.ipv4.tcp_mem = 1048576 1048576 41943040
net.ipv4.tcp_window_scaling = 0
net.ipv4.tcp_tso_win_divisor = 8
net.core.rmem_max = 41943040
net.core.wmem_max = 41943040
net.core.rmem_default = 1048576
net.core.wmem_default = 1048576
net.core.optmem_max = 41943040
net.core.netdev_max_backlog = 81920
net.core.somaxconn  = 81920
net.ipv4.tcp_max_syn_backlog = 8192
net.ipv4.conf.all.arp_filter=1
net.ipv4.ip_local_port_range = 10000 65000

fs.file-max = 500000
vm.min_free_kbytes = 65536
net.ipv4.tcp_tw_reuse=1

# For appservers
vm.nr_hugepages = 3500
vm.swappiness = 0
net.ipv4.ip_forward = 0
net.ipv4.conf.default.rp_filter = 1
net.ipv4.conf.default.accept_source_route = 0
kernel.sysrq = 0
kernel.core_uses_pid = 1
net.ipv4.tcp_syncookies = 1
net.bridge.bridge-nf-call-ip6tables = 0
net.bridge.bridge-nf-call-iptables = 0
net.bridge.bridge-nf-call-arptables = 0
kernel.msgmnb = 65536
kernel.msgmax = 65536
kernel.shmmax = 68719476736
kernel.shmall = 4294967296 

